coturn TURN/STUN server (Docker-Compose)
========================================

A [coturn TURN/STUN server](https://github.com/coturn/coturn) server that can be run behind [Traefik](https://traefik.io).

Requirements
------------

- Ansible (implemented and tested with core 2.12.4, Python 3.9.10)
- Ubuntu or Debian server
- [Docker Engine](https://docs.docker.com/install/) + [Docker Compose](https://docs.docker.com/compose/install/)
- Traefik

Role Variables
--------------

For a documentation of the correspoding coturn server specific variables, have a look here: <https://github.com/coturn/coturn/blob/master/README.turnserver>

Some variables are commented out in the Docker Compose template and are usually not needed.

| Variable    | Description                                                     |
|-------------|-----------------------------------------------------------------|
| docker_user | The user who is going to manage/run the Docker Compose services |
| coturn_virtual_host | eg. turn.example.org |
| coturn_external_ip | |
| coturn_static_auth_secret |  |
| coturn_listening_port | |
| coturn_listening_port_tls |  |
| coturn_min_port | |
| coturn_max_port | |

Dependencies
------------

Example Playbook
----------------

License
-------

MIT

Author Information
------------------

This role was created in 2022 by [Jan Beilicke](https://jotbe.io).
